Get task workflow
curl --request GET \
--url https://api.autumn.ai/task/workflow \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.autumn.ai/task/workflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.autumn.ai/task/workflow"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{
"error": "unauthorized",
"message": "Missing or invalid credentials. Send your full API key as `X-API-Key: <key>` or `Authorization: Bearer <key>`.",
"retryable": false,
"request_id": "req_3f9c2a1b0d4e5f6a7b8c"
}{
"error": "auth_unavailable",
"message": "Key verification is temporarily unavailable. Wait `retry_after` seconds, then send the request again.",
"retryable": true,
"request_id": "req_3f9c2a1b0d4e5f6a7b8c",
"retry_after": 5
}GET
Get task workflow
The task workflow and route map.
GET
/
task
/
workflow
Get task workflow
curl --request GET \
--url https://api.autumn.ai/task/workflow \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.autumn.ai/task/workflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.autumn.ai/task/workflow"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{
"error": "unauthorized",
"message": "Missing or invalid credentials. Send your full API key as `X-API-Key: <key>` or `Authorization: Bearer <key>`.",
"retryable": false,
"request_id": "req_3f9c2a1b0d4e5f6a7b8c"
}{
"error": "auth_unavailable",
"message": "Key verification is temporarily unavailable. Wait `retry_after` seconds, then send the request again.",
"retryable": true,
"request_id": "req_3f9c2a1b0d4e5f6a7b8c",
"retry_after": 5
}Authorizations
ApiKeyHeaderBearerApiKey
Your Autumn API key.
Response
Workflow and route map.
The response is of type Response Taskworkflow · object.